<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Handler_Rating extends Controller_Handler {

        public function before() {
            $this->model = new Model_Teacher_Rating;
            $this->setAccessLevel(self::ACCESS_USER);
            parent::before();
        }

        public function action_setRate()
        {
			$data['success'] = false;
            $this->post -> rule('student', 'not_empty')
                        -> rule('student', 'digit')
                        -> rule('submodule', 'not_empty')
                        -> rule('submodule', 'digit')
                        -> rule('rate', 'digit')
                        -> rule('rate', 'range', array(':value', 0, 100));
            if($this->post->check()) {
                $result = $this->model->setRate($this->user['TeacherID'], $this->post->offsetGet('student'), $this->post->offsetGet('submodule'), $this->post->offsetGet('rate'));
				var_dump($this->post);
				if ($result[0]['Num'] == 0)
					$data['success'] = true;
            }
            $this->response->body(json_encode($data));
        }

        public function action_changeRate()
        {
				$data['success'] = false;
                $this->post -> rule('student', 'not_empty')
                            -> rule('student', 'digit')
                            -> rule('submodule', 'not_empty')
                            -> rule('submodule', 'digit')
                            -> rule('rate', 'digit')
                            -> rule('rate', 'range', array(':value', 0, 100));
                if($this->post->check()) {
                    $result = $this->model->changeRate($this->user['TeacherID'], $this->post->offsetGet('student'), $this->post->offsetGet('submodule'), $this->post->offsetGet('rate'));
					if ($result[0]['Num'] == 0)
						$data['success'] = true;
                }
                $this->response->body(json_encode($data));
        }

}